close all; clear all; %clear memory close figures

%data input
xmin = 0; xmax = 20; % x-coordinates [m]
ymin = 0; ymax = 10; % y-coordinates [m]
x0 = 10; y0 = 5; % well location [m]
Qx0 = 0.0001; Qy0 = 0.0003; % baseflow components [m2/s]
Q = 0.0017; % pumping rate [m^3/s]

% mesh generation
xvec = linspace(xmin,xmax,40); %vector of x
yvec = linspace(ymin,ymax,20); %vector of y
[x,y] = meshgrid (xvec,yvec); % create mesh

% model processing
r = sqrt((x-x0).^2+(y-y0).^2); % distances to well
phi = -Qx0*x - Qy0*y + (Q/(2*pi))*log(r); % potential

%post-processing and visualization
surf (x,y,phi); % surface plot 
title('Potential surface \phi');